cluster2keys {psych} | R Documentation

## Convert a cluster vector (from e.g., kmeans) to a keys matrix suitable for scoring item clusters.

### Description

The output of the kmeans clustering function produces a vector of cluster membership. The `score.items` and `cluster.cor` functions require a matrix of keys. cluster2keys does this.

May also be used to take the output of an `ICLUST` analysis and find a keys matrix. (By doing a call to the `factor2cluster` function.

### Usage

    cluster2keys(c)

### Arguments

`c` | A vector of cluster assignments or an object of class “kmeans" that contains a vector of clusters.

### Details

Note that because kmeans will not reverse score items, the clusters defined by kmeans will not necessarily match those of ICLUST with the same number of clusters extracted.

### Value

`keys` | A matrix of keys suitable for score.items or cluster.cor

### Author(s)

William Revelle

### See Also

`cluster.cor`,`score.items`, `factor2cluster`, `make.keys`

### Examples

    test.data <- Harman74.cor$cov
    kc <- kmeans(test.data,4)
    keys <- cluster2keys(kc)
    keys  #these match those found by ICLUST
    cluster.cor(keys,test.data)

[Package psych version 1.8.4 Index]